Description

So I have a 34 polygons. I select 24 of them and need to calculate a field. If I use the new field calculator (bar at the top of the attribute

table) and set the value to 2 and hit return nothing happens. The field isn't calculated. If I click update all - all rows (regardless of

selection) are calculated to 2. It would seem that in the case of several rows being selected - only those would be calculated. If I open the

field calculator everything works as expected.

Associated revisions

Revision c0c94cf1 - 2014-11-25 01:25 AM - Nathan Woodrow

Fix #10727 - Add update selected button to field calc bar

History

#1 - 2014-06-25 04:24 PM - Nathan Woodrow

Hitting Return doesn't work as there is a bug that I couldn't work out before the release, I will fix it after release.

the update button affects what is shown in the table, if you want to update only the selection you need to set the filter Show Selected and then press Update

Filtered.

I will consider bringing a Update Selection button in 2.6 but I prefer the Filter -> Update method because you get what you see.

If you need to updates on in batch just leave the filter to Show Selected and it will update as the selection does.

#2 - 2014-06-28 10:14 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

- Category set to Attribute table

- Subject changed from calculating a field in 2.3  to field calculator bar should consider selection and react on return

#3 - 2014-06-30 03:15 AM - Matthias Kuhn

We should probably set the default attribute table filter to "selection (if present)" that will show selection or - if no selection is present - all features.

#4 - 2014-06-30 03:37 AM - Nathan Woodrow

- Operating System deleted (Linux)

- Tag set to ui

- OS version deleted (14.04 Ubuntu )

- Assignee set to Nathan Woodrow
I'm not sure about that.  I don't like the idea of changing the filter on the user, they may have it set the way they like it.

I will consider adding a Update Selected button.

#5 - 2014-06-30 06:29 AM - Matthias Kuhn

That was neither supposed to propose to change the filter on the user nor not to introduce the "Update Selected" button.

The proposal was just to change the filter mode "Selection" to "Selection (if present)" and to use this as default when opening the attribute table. So it is

only marginally related to this issue.

#6 - 2014-11-04 03:20 PM - Andrew Mitchell

Having to hide the non-selected records before running an update to change the selected records is a lot more work, particularly when working with large

tables that need small groups of records updated each time.  I would also prefer to be able to see both the selected and non-selected records when

updating selected records as this provides me with feedback that the update operation has honored the intended scope.

Another potential issue relating to long tables is the sort order of the table changing after an update operation.  This is very unhelpful when manually

processing tables starting at the top and moving progressively toward the bottom.  I am not suggesting QGIS has this issue, I have not looked but another

system I use does this.  In short, I prefer to be able to edit small selections without having to requery the table or perform any other operation that could

effect row order.

#7 - 2014-11-04 03:23 PM - Nathan Woodrow

- Target version set to Version 2.8

AS this has been raised a few times I will add a Update Selection button in QGIS 2.8 next to the Update All/Filtered button.

#8 - 2014-11-24 01:26 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"c0c94cf1c956a3de0c06a446b2c7d07dd8f491b1".
